var mainActivity = {};
/**
 * name:bizData#onBeforeRefresh description: <b>[回调型事件]</b>业务数据刷新前
 * 
 * @param {object}
 *            event <br/><b>结构如下：</b> <xmp> { "source" : 组件的js对象, "cancel" :
 *            可修改，设置为true后中断当前刷新动作 } </xmp>
 */
mainActivity.dataMainBeforeRefresh = function(event) {
	var dataMain = justep.xbl("dataMain");
	var role = currentRole();
	if (role == 1) {
		// 设置过滤条件
		var ywbzid = justep.Context.getCurrentDeptID();
		dataMain.setFilter("filter011", "FINSPECTIONPLANTEAMID ='" + ywbzid + "' ");// 运维班
	}
	dataMain.setFilter("FSTATUSfilter", "FARRANGEMENTEDFLAG = '3'");//安排标志（ 3=班组未派工）
	dataMain.setFilter("filter01", "FTYPE <> '3'");// 无现场勘查派工
	dataMain.setFilter("filter01", "FTYPE <> '2'");// 无试验派工
	dataMain .setFilter( "filter03", "FINSPECTIONPLANTIME <= :addDays(:currentDate(),14-:dayOfWeek(:currentDate())+1)");
};

mainActivity.refreshTriggerClick = function(event) {
	var grid = justep.xbl("grdMain").grid;
	//grid.groupBy(1, [ "", "#title", "", "", "" ]);// "#stat_total"

};

/**
 * name:bizData#onAfterRefreshPage description: <b>[回调型事件]</b>业务数据页刷新后
 * 
 * @param {object}
 *            event <br/><b>结构如下：</b> <xmp> { "source" : 组件的js对象 } </xmp>
 */
mainActivity.dataMainAfterRefreshPage = function(event) {
	var grid = justep.xbl("grdMain").grid;
	//grid.groupBy(1, [ "", "#title", "", "", "" ]);
};
mainActivity.getCheckboxs = function() {
	var grid = justep.xbl("grdMain").grid;
	var dataMain = justep.xbl('dataMain');
	var checkColIndex = grid.getColIndexById("checkbox");
	var checkedIDs = grid.getCheckedRows(checkColIndex);
	if (!checkedIDs)
		return null;
	var checkedIDsArray = checkedIDs.split(",");
	var params = [];
	for ( var i = 0; i < checkedIDsArray.length; i++) {
		params.push(getPGINFORow(dataMain, checkedIDsArray[i]));
	}
	return params;

};
function getPGINFORow(pgData, rowid) {
	var FID = pgData.getValue('FID', rowid);
	var FINSPECTIONPLANPROJECTID = pgData.getValue('FINSPECTIONPLANPROJECTID',
			rowid);
	var FINSPECTIONPLANPROJECTNAME = pgData.getValue(
			'FINSPECTIONPLANPROJECTNAME', rowid);
	var FINSPECTIONPLANTEAMID = pgData.getValue('FINSPECTIONPLANTEAMID', rowid);
	var FINSPECTIONPLANTEAMNAME = pgData.getValue('FINSPECTIONPLANTEAMNAME',
			rowid);
	var FINSPECTIONPLANTIME = pgData.getValue('FINSPECTIONPLANTIME', rowid);
	var FINSPECTPLANFINISHEDVALUE = pgData.getValue(
			'FINSPECTPLANFINISHEDVALUE', rowid);
	var FARRANGEMENTEDFLAG = pgData.getValue('FARRANGEMENTEDFLAG', rowid);
	var FTYPE = pgData.getValue('FTYPE', rowid);
	var FINSPECTIONPLANCONTRACTID = pgData.getValue(
			'FINSPECTIONPLANCONTRACTID', rowid);
	var FJINE = pgData.getValue('FJINE', rowid);
	var FACTUALTASKDATE = pgData.getValue('FACTUALTASKDATE', rowid);
	var FDISPETCHINGNOTES = pgData.getValue('FDISPETCHINGNOTES', rowid);
	var FACTUALTASKENDTIME = pgData.getValue('FACTUALTASKENDTIME', rowid);
	var FWORKMAN = pgData.getValue('FWORKMAN', rowid);
	var FSUBTEAMPERSONIDS = pgData.getValue('FSUBTEAMPERSONIDS', rowid);
	var FSUBTEAMPERSONNAMES = pgData.getValue('FSUBTEAMPERSONNAMES', rowid);
	var FCHECKRESULTID = pgData.getValue('FCHECKRESULTID', rowid);
	var FXIAOZUID = pgData.getValue('FXIAOZUID', rowid);
	var FXIAOZUMC = pgData.getValue('FXIAOZUMC', rowid); //:,
	var xmxxFPROJECTLINKMAN = pgData.getValue('xmxxFPROJECTLINKMAN', rowid);
	var xmxxFPROJECTLINKPHONE = pgData.getValue('xmxxFPROJECTLINKPHONE', rowid);
	var xmxxFPROJECTLINKMANMOBILE = pgData.getValue('xmxxFPROJECTLINKMANMOBILE', rowid);
	var row = {
		FID : FID,
		FINSPECTIONPLANPROJECTID : FINSPECTIONPLANPROJECTID,
		FINSPECTIONPLANPROJECTNAME : FINSPECTIONPLANPROJECTNAME,
		FINSPECTIONPLANTEAMID : FINSPECTIONPLANTEAMID,
		FINSPECTIONPLANTEAMNAME : FINSPECTIONPLANTEAMNAME,
		FINSPECTIONPLANTIME : FINSPECTIONPLANTIME,
		FINSPECTPLANFINISHEDVALUE : FINSPECTPLANFINISHEDVALUE,
		FARRANGEMENTEDFLAG : FARRANGEMENTEDFLAG,
		FTYPE : FTYPE,
		FINSPECTIONPLANCONTRACTID : FINSPECTIONPLANCONTRACTID,
		FJINE : FJINE,
		FACTUALTASKDATE : FACTUALTASKDATE,
		FDISPETCHINGNOTES : FDISPETCHINGNOTES,
		FACTUALTASKENDTIME : FACTUALTASKENDTIME,
		FWORKMAN : FWORKMAN,
		FSUBTEAMPERSONIDS : FSUBTEAMPERSONIDS,
		FSUBTEAMPERSONNAMES : FSUBTEAMPERSONNAMES,
		FCHECKRESULTID : FCHECKRESULTID,
		FXIAOZUID : FXIAOZUID,
		FXIAOZUMC : FXIAOZUMC,
		xmxxFPROJECTLINKMAN:xmxxFPROJECTLINKMAN,
		xmxxFPROJECTLINKPHONE:xmxxFPROJECTLINKPHONE,
		xmxxFPROJECTLINKMANMOBILE:xmxxFPROJECTLINKMANMOBILE
	};
	return row;
};
// 派工
mainActivity.choseData = function(event) {
	var params = mainActivity.getCheckboxs();
	if (params == null) {
		justep.OpmUtils.showWarning("请勾选要派工的记录。");
		return;
	}
	var grid = justep.xbl("grdMain").grid;
	var dataMain = justep.xbl('dataMain');
	var checkColIndex = grid.getColIndexById("checkbox");
	var checkedIDs = grid.getCheckedRows(checkColIndex);

	var options = {
		"data" : {
			arr : params
		},
		"title" : "派工挑选",
		"url" : '/UI/operation/equOperationManage/process/teamDispatchingManage/pgChoseTeam.w',
		"process" : "/operation/equOperationManage/process/teamDispatchingManage/teamDispatchingManageProcess",
		"activity" : "mainActivity"
	};
	justep.xbl("pgwindowDialog1").open2(options);
};

mainActivity.tabmapSelect = function(event) {
	// data = mainActivity.mapbizDataObj(userinfo);
	// bdmap.loadPG(data);
};
mainActivity.modelLoad = function(event) {
	var grid = justep.xbl("grdMain").grid;
	//grid.groupBy(1, [ "", "#title", "", "", "" ]);// ,"#stat_total"

	//	var data = [];
	//	// data = mainActivity.mapbizDataObj(userinfo);
	//	// bdmap.loadPG(data);
	//	var rowLen = justep.xbl("dataMain").getCount();
	//	if (rowLen > 0) {
	//		/*
	//		 * //去掉grid选中行的颜色 justep.xbl("grdMain").grid.showSelectedStyle = false;
	//		 * var data = justep.xbl("dataMain"); var grdMain =
	//		 * justep.xbl("grdMain").grid; data.first(); for ( var i = 0,c =
	//		 * data.getCount(); i < c; i++) { var fXXLY = data.getValue("fXXLY");
	//		 * var fRowid = data.getValue("rowid"); if (fXXLY == '临时') {
	//		 * grdMain.setRowColor(fRowid, "red"); }else if(fXXLY == '计划'){
	//		 * //grdMain.setRowColor(fRowid, "#009966"); }else{
	//		 * grdMain.setRowColor(fRowid, "yellow"); } data.next(); }
	//		 */
	//	}
};

/*******************************************************************************
 * mainActivity.mapbizDataObj = function(userinfo) { var obj, data = []; var
 * mapbizData = justep.xbl("mapbizData"); mapbizData.setFilter("xjldFifter",
 * "OP_XJLD.fTeamID=:fTeamID and OP_XJLD.fstatus=:fStatus");
 * mapbizData.filters.setStringVar('fTeamID', userinfo.fTeamID);
 * mapbizData.filters.setStringVar('fStatus', userinfo.fstatus);
 * mapbizData.refreshData(); for ( var i = 0; i < mapbizData.getCount(); i++) {
 * var rowid = mapbizData.getID(i); data.push(getXJLDRow(mapbizData, rowid)); }
 * obj = { data : data, userinfo : userinfo }; return obj; };
 ******************************************************************************/

/**
 * name:windowDialog#onReceive}
 * 
 * @param {function}
 *            onInit 初始化事件，参见{@link UI.windowDialog#onInit}
 * @param {function}
 *            onOpen 对话框打开事件，参见{@link UI.windowDialog#onOpen}
 * @param {function}
 *            onClose 对话框关闭事件，参见{@link UI.windowDialog#onClose} description:
 *            构造函数
 * @example //动态创建 var dialog = new justep.WindowDialog(id, url, title);
 */
mainActivity.pgwindowDialog1Receive = function(event) {
	
	
};

/**
 * name:bizData#onAfterRefresh description: <b>[回调型事件]</b>业务数据刷新后
 * 
 * @param {object}
 *            event <br/><b>结构如下：</b> <xmp> { "source" : 组件的js对象 } </xmp>
 */
mainActivity.dataMainAfterRefresh = function(event) {
	var grid = justep.xbl("grdMain").grid;
	//grid.groupBy(1, [ "", "#title", "", "", "" ]);// ,"#stat_total"
	var rowLen = justep.xbl("dataMain").getCount();
	if (rowLen > 0) {
		/*
		 * //去掉grid选中行的颜色 justep.xbl("grdMain").grid.showSelectedStyle = false;
		 * var data = justep.xbl("dataMain"); var grdMain =
		 * justep.xbl("grdMain").grid; data.first(); for ( var i = 0,c =
		 * data.getCount(); i < c; i++) { var fXXLY = data.getValue("fXXLY");
		 * var fRowid = data.getValue("rowid"); if (fXXLY == '临时') {
		 * grdMain.setRowColor(fRowid, "red"); }else if(fXXLY == '计划'){
		 * //grdMain.setRowColor(fRowid, "#009966"); }else{
		 * grdMain.setRowColor(fRowid, "yellow"); } data.next(); }
		 */
	}
};

mainActivity.grid2_FTYPERender = function(event) {
	// (1=巡检2=试验 3=现场勘查 4=检修)巡检,试验,,现场勘察,检修.急修.交接试验
	if (event.value == '1') {
		return "巡检";
	} else if (event.value == '2') {
		return "试验";
	} else if (event.value == '3') {
		return "现场勘查";
	} else if (event.value == '4') {
		return "检修";
	} else if (event.value == '5') {
		return "急修";
	} else if (event.value == '6') {
		return "交接试验";
	}
};

mainActivity.grid2_FCHECKRESULTIDRender = function(event) {
	// （1=正常 2=缺陷）
	if (event.value == '1') {
		return "正常";
	} else if (event.value == '2') {
		return "缺陷";
	}
};

/**
 name:bizData#onBeforeRefresh
 description: <b>[回调型事件]</b>业务数据刷新前
 @param {object} event 
 <br/><b>结构如下：</b>
 <xmp> 
 {
 "source" : 组件的js对象,
 "cancel" : 可修改，设置为true后中断当前刷新动作
 }
 </xmp>	
 */
mainActivity.pgxxData2BeforeRefresh = function(event) {
	var pgxxData2 = justep.xbl("pgxxData2");
	var role = currentRole();
	if (role == 1) {
		// 设置过滤条件
		var ywbzid = justep.Context.getCurrentDeptID();
		pgxxData2.filters.clear();
		pgxxData2.setFilter("filter011", "OP_PDXX.FINSPECTIONPLANTEAMID ='" + ywbzid
				+ "' ");// 运维班
	}
	pgxxData2.setFilter("FSTATUSfilter", "OP_PDXX.FARRANGEMENTEDFLAG ='5'  and OP_PDXX.STATUS<>1");//安排标志（ 3=班组未派工）

};

mainActivity.tabListedSelect = function(event) {
	justep.xbl("pgxxData2").refreshData();
};
//安排标志
mainActivity.grid2_FARRANGEMENTEDFLAGRender = function(event) {
	// 0= 未安排  1=保留(安排中)  2=保留(审批流程)  3=班组未派工 5=班组已派工  6=已完成试验任务
	if (event.value == '5') {
		return "班组已派工";
	} else if (event.value == '6') {
		return "已完成派工任务";
	}
};

mainActivity.tabListSelect = function(event) {
	//justep.xbl("dataMain").refreshData();
};

/**
 name:bizData#onValueChanging
 description: <b>[回调型事件]</b>数据变化中
 @param {object} event 
 <br/><b>结构如下：</b>
 <xmp> 
 {
 "source" : 组件的js对象,
 "column" : 关系,
 "rowIndex" : 行索引,
 "value" : 新值,通过修改它的值影响setvalue的行为,
 "originalValue" : 旧值
 }
 </xmp>	
 */
mainActivity.dataMainValueChanging = function(event) {
	if (event.column == 'checkbox') {

	alert(	justep.xbl('dataMain').getValue("checkbox")+"=="+event.value);
		if (event.value == "1") {//选中
			var grid = justep.xbl("grdMain").grid;
			var dataMain = justep.xbl('dataMain');
			var checkColIndex = grid.getColIndexById("checkbox");
			var checkedIDs = grid.getCheckedRows(checkColIndex);
			var checkedIDsArray = checkedIDs.split(",");
			var common = 0, xjcheck = 0, sycheck = 0, jxcheck = 0, jjsycheck = 0;//交接试验
			if (checkedIDsArray.length > 1) {
				var xmid = dataMain.getValue("FINSPECTIONPLANPROJECTID",
						checkedIDsArray[0]);
				for ( var i = 0; i < checkedIDsArray.length; i++) {
					var xmid2 = dataMain.getValue("FINSPECTIONPLANPROJECTID",
							checkedIDsArray[i]);
					var ftype = dataMain.getValue("FTYPE", checkedIDsArray[i]);
					if (xmid2 != xmid) {
						common++;
					}
					if (ftype == '1') {//巡检
						xjcheck++;
					} else if (ftype == '2') {//试验
						sycheck++;
					} else if (ftype == '4') {//检修
						jxcheck++;
					} else if (ftype == '6') {//交接试验
						jjsycheck++;
					}
				}
			}
			if (common > 0) {
				justep.OpmUtils.showWarning("请勾选相同项目的记录进行派工！");
				event.value = event.originalValue;//改为原值
				return;
			}
			if (xjcheck > 1) {
				justep.OpmUtils.showWarning("不能同时派工多次巡检！");
				event.value = event.originalValue;//改为原值
				return;
			}
			if (sycheck > 1) {
				justep.OpmUtils.showWarning("不能同时派工多次试验！");
				event.value = event.originalValue;//改为原值
				return;
			}
			if (jxcheck > 1) {
				justep.OpmUtils.showWarning("不能同时派工多次检修！");
				event.value = event.originalValue;//改为原值
				return;
			}
			if (jjsycheck > 1) {
				justep.OpmUtils.showWarning("不能同时派工多次交接试验！");
				event.value = event.originalValue;//改为原值
				return;
			}
		}
	}
};

mainActivity.searchTriggerClick = function(event) {
	xforms.blur();
	justep.xbl("dataMain").refreshData();
};

mainActivity.trigger3Click = function(event) {
	justep.xbl("xmnaneSmartFilter").clearFilter();
	justep.xbl("xmadressSmartFilter").clearFilter();
	justep.xbl("dataMain").refreshData();
};

/**
 name:bizData#onBeforeRefresh
 description: <b>[回调型事件]</b>业务数据刷新前
 @param {object} event 
 <br/><b>结构如下：</b>
 <xmp> 
 {
 "source" : 组件的js对象,
 "cancel" : 可修改，设置为true后中断当前刷新动作
 }
 </xmp>	
 */
mainActivity.finishedpdDataBeforeRefresh = function(event) {//已完成派单
	var finishedpdData = justep.xbl("finishedpdData");
	var role = currentRole();
	if (role == 1) {
		// 设置过滤条件
		var ywbzid = justep.Context.getCurrentDeptID();
		finishedpdData.setFilter("bzfilter011", "OP_PDXX.FINSPECTIONPLANTEAMID ='"
				+ ywbzid + "' ");// 运维班
	}
	finishedpdData.setFilter("FSTATUSfilter", "OP_PDXX.FARRANGEMENTEDFLAG ='6'");//安排标志（ 3=班组未派工）
};

mainActivity.hadtabListSelect = function(event) {
	justep.xbl("finishedpdData").refreshData();
};

function selectzc(xjjh, lsrw) {//派单组成
	var pdzc = "";
	if (xjjh != "00") {//巡检,试验
		if (xjjh.charAt(0) == "1") {
			pdzc += "巡检,";
		}
		if (xjjh.charAt(1) == "1") {
			pdzc += "试验,";
		}

	} else {
		if (lsrw != "000000") {//巡检,试验,,现场勘察,检修.急修，交接试验
			if (lsrw.charAt(0) == "1") {
				pdzc += "巡检,";
			}
			if (lsrw.charAt(1) == "1") {
				pdzc += "试验,";
			}
			if (lsrw.charAt(2) == "1") {
				pdzc += "现场勘察,";
			}
			if (lsrw.charAt(3) == "1") {
				pdzc += "检修,";
			}
			if (lsrw.charAt(4) == "1") {
				pdzc += "急修,";
			}
			if (lsrw.charAt(5) == "1") {
				pdzc += "交接试验,";
			}
		}
	}
	return pdzc;
}

mainActivity.grid2_pdzcRender = function(event) {
	var pgxxData2 = justep.xbl("pgxxData2");
	var xjjh = pgxxData2.getValue("XJJHFLAG", event.rowId);
	var lsrw = pgxxData2.getValue("LSRWFLAG", event.rowId);
	return selectzc(xjjh, lsrw);
};

mainActivity.grid1_pdzcRender = function(event) {
	var finishedpdData = justep.xbl("finishedpdData");
	var xjjh = finishedpdData.getValue("XJJHFLAG", event.rowId);
	var lsrw = finishedpdData.getValue("LSRWFLAG", event.rowId);
	return selectzc(xjjh, lsrw);
};

mainActivity.grid2RowDblClick = function(event) {
	var pgxxData2 = justep.xbl("pgxxData2");
	var id = pgxxData2.getCurrentID();
	var type = pgxxData2.getValue("FTYPE", id);
	if (!!id) {
		openByType(type, id);
	}
};

mainActivity.pgdTriggerClick = function(event) {
	var pgxxData2 = justep.xbl("pgxxData2");
	var id = pgxxData2.getCurrentID();
	var type = pgxxData2.getValue("FTYPE", id);
	if (!!id) {
		openByType(type, id);
	}
};
 function openByType(type,id){
	if(type=='1'){
		justep.xbl("xjinfoWindowDialog").open({id:id});//巡检
	}else if(type=='2'){
		justep.xbl("dsinfoWindowDialog").open({id : id});//定试
	}
};

mainActivity.grid1RowDblClick = function(event){
	var finishedpdData = justep.xbl("finishedpdData");
	var id = finishedpdData.getCurrentID();
	var type = finishedpdData.getValue("FTYPE", id);
	if (!!id) {
		openByType(type, id);
	}
};  
function confirmClose(){
    /*if(window.confirm("确定关闭？")){
    	return true;
    	//返回true，关闭窗口
    }else{
    	//返回false，将阻止窗口关闭
    	return false;
    }*/
    return true;
}
mainActivity.modelUnLoad = function(event){
	
};
function openDetail(ftype,id){
	if(ftype=='1'||ftype=='2'){//巡检。试验
		justep.xbl("detailWindowDialog").open({id:id});
	}else if(ftype=='3'||ftype=='4'){//现场勘察、检修
		//暂无
	}
}
mainActivity.grdMainRowDblClick = function(event){
	var dataMain = justep.xbl("dataMain");
	var id = dataMain.getValue('FID');
	var ftype = dataMain.getValue('FTYPE');
	openDetail(ftype,id);
};

/**
	name:windowDialog#onClose}
description: 构造函数
	@example
	//动态创建
	var dialog = new justep.WindowDialog(id, url, title);
*/
mainActivity.pgwindowDialog1Close = function(event){
	justep.xbl("dataMain").refreshData();
};

mainActivity.trigger1Click = function(event){
	// 构造参数
	var params = new justep.Request.ActionParam();
	params.setString("title","最新通知2014-06-16 11:54:40");
	params.setString("process","/operation/equOperationManage/process/teamDispatchingManage/teamDispatchingManageProcess");
	params.setString("activity","mainActivity");
	params.setString("sCURL","/operation/equOperationManage/process/teamDispatchingManage/mainActivity.w");
	params.setString("sEURL","/operation/processManage/process/overHaul/noticeActivity.w");
	var listParam =  new justep.Request.ListParam();
	//listParam.add("");
	//params.setList("param_list", listParam);
	params.setString("sPersonID","D8E02A1924124F43B581BDFF622CE6F2");
	// 调用动作
	debugger;
	justep.Request.sendBizRequest2({
		"async": false,
		"dataType": "application/json",
		"action": "sendNotice",
		"parameters": params,
		"callback": function(callbackData) {
			callbackData.ignoreError = false;				
			if (callbackData.state) {
				alert('xx');
				//console.log("返回："+JSON.parse(callbackData.response));
			}
		}
	});
	alert('');
};

mainActivity.getTriggerClick = function(event){
	justep.OpmUtils.showConfirm("确认【取回派工】？",function(data){
		var pgxxData2=justep.xbl('pgxxData2');
		var rowID = pgxxData2.getCurrentID();
		pgxxData2.setValue("STATUS", "1", rowID);
		pgxxData2.saveData({"onSuccess" : function(event){
	 		pgxxData2.refreshData();
	 		justep.OpmUtils.showSuccess('【取回派工】成功,<br>如果该派工任务已经打印，请注意剔除');
	 	}});
	},function(data){
		
	});
};

mainActivity.grid2_STATUSRender = function(event){
	var val =event.value;
	if(val=='1'){
		return '取回';
	}else{
		return '';
	}
};

 
 
 

/**
	name:grid#onBeforeIndexChanged
	description: 当前行改变之前触发，通过return判断是否可以改变行
	@param event <br/>
	<b>参数结构：</b>
	<xmp>
	{
		"source" : XFGrid对象,
		"instance" : instance,
		"grid" : dhtmlxGrid对象,
		"rowID" : 准备选中行的ID
	}
	</xmp>
	@return {boolean} true: 允许行改变；false：禁止行改变；
*/
mainActivity.grid2BeforeIndexChanged = function(event){
	var pgxxData2=justep.xbl("pgxxData2");
	var ftype =pgxxData2.getValue("FTYPE",event.rowID);
	if(ftype=="1"){
		justep.xbl("getTrigger").setDisabled(false);
	}else{
		justep.xbl("getTrigger").setDisabled(true);
	}
	return true;
};

mainActivity.grid3RowDblClick = function(event){
	var data = justep.xbl("pdxx_get");
	var id = data.getCurrentID();
	var type = data.getValue("FTYPE", id);
	if (!!id) {
		openByType(type, id);
	}
};

/**
	name:bizData#onBeforeRefresh
	description: <b>[回调型事件]</b>业务数据刷新前
	@param {object} event 
	<br/><b>结构如下：</b>
	<xmp> 
	{
		"source" : 组件的js对象,
		"cancel" : 可修改，设置为true后中断当前刷新动作
	}
	</xmp>	
*/
mainActivity.pdxx_getBeforeRefresh = function(event){
	var data = justep.xbl("pdxx_get");
	var role = currentRole();
	if (role == 1) {
		// 设置过滤条件
		var ywbzid = justep.Context.getCurrentDeptID();
		data.filters.clear();
		data.setFilter("filter0112", "OP_PDXX.FINSPECTIONPLANTEAMID ='" + ywbzid
				+ "' ");// 运维班
	}
	data.setFilter("FSTATUSfilter2", "OP_PDXX.FARRANGEMENTEDFLAG ='5' and OP_PDXX.STATUS=1");//安排标志（ 3=班组未派工）
};

mainActivity.tabListed2Select = function(event){
	justep.xbl("pdxx_get").refreshData();
};

mainActivity.pgdtrigger1Click = function(event){
	var data = justep.xbl("pdxx_get");
	var id = data.getCurrentID();
	var type = data.getValue("FTYPE", id);
	if (!!id) {
		openByType(type, id);
	}
};
